@charset "UTF-8";
* {
  margin: 0;
  padding: 0;
}

@font-face {
  font-family: Noto_Sans_JP;
  src: url(../font/Noto_Sans_JP/static/NotoSansJP-Medium.ttf);
}

@font-face {
  font-family: Zen_Kaku_Gothic_New;
  src: url(../font/Zen_Kaku_Gothic_New/ZenKakuGothicNew-Regular.ttf);
}

@font-face {
  font-family: Montserrat;
  src: url(../font/Montserrat/Montserrat-VariableFont_wght.ttf);
}

body {
  font-family: Zen_Kaku_Gothic_New;
  font-weight: 400;
  color: #334155;
  background-color: #FAF9F6;
}

body.page-serum {
  background-color: #FCFCFC; /* スッキリした白 */
}

.works-hero {
  height: auto;
  padding-top: 6%;
}

.intro-wrap {
  display: flex;
  flex-direction: column-reverse;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
}

.works-intro_text {
  width: 100%;
  padding-top: 10%;

}

.works-tags {
  color: #94A3B8;
  font-size: 2.7vw;
  line-height: 2.4;

}

.works-intro_title {
  font-size: 4vw;
  white-space: pre-wrap;

}

.site-btn {
  display: flex;
  align-items: center;           /* 上下中央 */
  justify-content: space-between; /* 文字と矢印を両端に */
  width: 35%;
  margin-top: 10%;
  /* margin-left: auto;             右側に寄せる */
  padding: 3% 4%;
  border: 1px solid #535D60;        /* 枠線 */
  background-color: transparent; /* 背景透明 */
  text-decoration: none;
  overflow:hidden;
  position:relative;
  color: #535D60; 
  box-sizing: border-box;
  transition: 0.5s;
}

/* ホバー効果 */
.site-btn:hover {
  color: #fff;
  transition: 0.5s;
}


/* .site-btn span{
    position:relative;
    z-index:1
} */

.site-btn::before{
  content:'';
  position:absolute;
  left:0;
  bottom:0;
  width:100%;
  height:100%;
  transform:translateX(-100%);
  background:#474e51;
  transition: 0.5s;
  transition: .3s ease-in-out;
  color: #fff;
  z-index: 1;
}

.site-btn:hover{
  cursor:pointer;
  color:#fff
}

.site-btn:hover::before{
  transform:translateX(0);
  cursor:pointer;
  color:#fff;

}

.more-text,
.more-arrow {
  position: relative;
  z-index: 10;
}

.more-text {
  font-size: 3vw;
  font-weight: 500;
}

.more-arrow {
  display: inline-block; /* 動きをつけるために必要 */
  transition: transform 0.3s; /* 0.3秒かけて変化させる */
  font-size: 2vw;
}

.site-btn:hover .more-text {
  color: #FFF;
  z-index: 10;
}
.site-btn:hover .more-arrow {
  transform: translateX(6px); /* 右方向に5px移動 */
}

.top__image {
  width: 100%;
  height: 40vw;
}

.top__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.top__post-description {
  width: 90%;
  margin: 8% auto;
}

.top__post-description p {
  font-size: 2.7vw;
  white-space: pre-wrap;
  letter-spacing: 0.05em;
  text-align: justify;
  text-indent: 1em;
  line-height: 2;
}

.works-visual-display {
  display: flex;
  width: 100%;
  justify-content: center;
  overflow: hidden;
}

.works-visual-display .is-centered {
  width: 50%;
  height: 40vw;
}

/* 
.visual-container {
  width: 50%;
} */

.works-visual-display .is-centered img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.works-visual-display .is-full {
  width: 100%; /* 横幅いっぱい */
  height: 40vw;
}

.works-visual-display .is-full img {
  width: 100%;
  height: auto;
  display: block;
  object-fit: cover;
}

.works-visual-display .is-centered-tall {
  width: 100%;
  height: auto;
}

.works-visual-display .is-centered-tall img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: contain;
}

.is-serum {
  background-color: #F2F7F9;
} 

.is-house {
  background-color: #EFEFED;
}

.is-Xmas {
  background-color: #fdf6f0;
}

.is-card {
  background-color: #F2F3EF;
}

.spec-inner {
  width: 90%;
  margin-top: 10%;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 6%;
}

.spec-item {
  /* display: flex; */
  padding: 5% 3%;
  border-top: 1px solid #E5E5E5;
}

.spec-item:last-of-type {
  border-bottom : 1px solid #E5E5E5;
}

.spec-title {
  width: 25%;
  color: #8ca8c0;
  font-size: 2.7vw;
  font-weight: 500;
  letter-spacing: 0.1em;
}

.spec-desc {
  width: 100%;
  margin-top: 3%;
  line-height: 1.6;
  text-align: justify;
  letter-spacing: 0.1em;
  font-size: 2.5vw;
}

.spec-desc-item:nth-of-type(2){
  margin-top: 4%;
  margin-bottom: 4%;
}

.spec-desc-item h4 {
  margin-bottom: 1%;
  letter-spacing: 0.1em;
}

.spec-desc-prewrap {
  width: 100%;
  margin-top: 3%;
  line-height: 1.6;
  text-align: justify;
  letter-spacing: 0.1em;
  font-size: 2.5vw;
  white-space: pre-wrap;
}

.schedule-row {
  display: flex;
  width: 100%;
}

.schedule-row:nth-of-type(1) {
  margin-bottom: 1%;
}

.task {
  width: 50%;
  font-size: 2.5vw;
}

.period {
  letter-spacing: 0.1em;
  font-size: 2.5vw;
}

.scrolling-mockup {
  width: 90%;        /* 親要素に合わせる */
  height: 50vw;      /* 「窓」の高さ。お好みで調整 */
  margin: 10% auto;
  overflow-y: scroll; /* 縦方向にスクロールできるようにする */
  border: 1px solid #eee;
  border-radius: 8px;
  box-shadow: 0 4px 15px rgba(0,0,0,0.1);
}

.scrolling-mockup img {
  width: 100%;
  height: auto;
  display: block;
}

/* スクロールバーを少しおしゃれにする（任意） */
.scrolling-mockup::-webkit-scrollbar {
  width: 8px;
}
.scrolling-mockup::-webkit-scrollbar-thumb {
  background-color: #ccc;
  border-radius: 4px;
}

/* 他の制作物 */
.works-section-header {
  display: flex;
  width: 90%;
  margin-left: auto;
  margin-right: auto;
  padding: 1% 1%;
  box-sizing: border-box;
  border-bottom: 1px solid #334155;
  /* background-color: red; */
  align-items: flex-end;
}

h3 {
    font-size: 3.5vw;
}

.h3-decoration {
    display: block;
    line-height: 3;
    font-family: 'Tenor Sans', serif; /* エレガントな英字フォント */
    font-size: 2vw;
    color: #94A3B8;
    letter-spacing: 0.1em;
}

.view-all-link {
  /* margin-left: auto;
  font-family: 'Tenor Sans', serif;
  font-size: 1.2vw;
  color: #94A3B8;
  text-decoration: none;
  letter-spacing: 0.1em;
  transition: 0.5s;  */
  display: none;
}

.view-all-link:hover {
  color: #334155;
  transition: 0.5s;
}

.works-inner {
    width: 90%;
    margin-left: auto;
    margin-right: auto;
}

.works-container {
    display: flex;
    flex-wrap: wrap;
    margin-top: 4%;
    margin-bottom: 5%;
    /* gap: 4%; */
}

.works-card {
    width: 100%;
    margin-top: 10%;
} 

.works-card a {
    text-decoration: none;
    color: #334155;
}

.works-card-img {
    margin-bottom: 4%;
    background-color: antiquewhite;
    overflow: hidden;    
}

.works-card-img img {
    width: 100%;
    vertical-align: bottom;
    transition: 0.5s;
}

.works-card:hover img {
    transform: scale(1.1,1.1);
    transition: 0.5s;
}

.works-tags {
    display: flex;
    gap: 5%;
}

.tag-status {
    margin-bottom: 4%;
    padding: 0% 3%;
    border-radius: 15px;
    font-size: 2.5vw;
    background-color: #DDDACE;
    color: #334155;
}

.tag-category {
    padding: 1% 2%;
    font-size: 2.5vw;
    color: #334155;
}

.works-card h4 {
    font-size: 3.2vw;
}

.is-extra {
  display: none;
}

/* スマホだけ「もっと見る」ボタンを表示 */
.mobile-more-btn {
  display: block;
  text-align: center;
  margin-top: 8%;
  margin-bottom: 12%;
  border: transparent;
}

.mobile-more-btn a {
  display: inline-block;
  padding: 15px 50px;
  background: #334155;
  color: #fff;
  text-decoration: none;
  font-weight: bold;
  transition: 0.5s;
}

.mobile-more-btn a:hover {
  opacity: 0.8;
  background-color: #FAF9F6;
  color: #334155;
  border: 1px solid #334155;
  transition: 0.5s;
}
